import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/goldenwater";

export function listMeeting(query) {
  return request({ url: '/pms/meeting/list', method: 'get', params: query })
}

export function getMeeting(mtId) {
  return request({ url: '/pms/meeting/' + parseStrEmpty(mtId), method: 'get' })
}

export function addMeeting(data) {
  return request({ url: '/pms/meeting', method: 'post', data: data })
}

export function updateMeeting(data) {
  return request({ url: '/pms/meeting', method: 'put', data: data })
}

export function delMeeting(mtId) {
  return request({ url: '/pms/meeting/' + mtId, method: 'delete' })
}
